# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'terraformer/version'

Gem::Specification.new do |spec|
  spec.name          = "terraform-exporter"
  spec.version       = Terraformer::VERSION
  spec.authors       = ["Jacopo Scrinzi"]
  spec.email         = ["jacopo@intercom.io"]

  spec.summary       = %q{Export existing resources to Terraform style (tf, tfstate)}
  spec.description   = %q{Export existing resources to Terraform style (tf, tfstate)}
  spec.homepage      = "https://github.com/intercom/terraformer"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "aws-sdk", "~> 2.5.1"
  spec.add_dependency "dogapi", "~> 1.23"
  spec.add_dependency "oj", "~> 2.17.1"
  spec.add_dependency "ox", "~> 2.4.0"
  spec.add_dependency "thor", "~> 0.19.1"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "coveralls", "~> 0.8.13"
  spec.add_development_dependency "rake", "~> 10.5"
  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_development_dependency "simplecov", "~> 0.11.1"
end
